<div class="container row mx-auto mt-5">
  <div class="d-flex flex-row">
    <a class="dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
      Sort by
    </a>
    <ul class="dropdown-menu">
      <li><a (click)="setSort('name')" class="dropdown-item">By name</a></li>
      <li><a (click)="setSort('createdAt')" class="dropdown-item">By date of creation</a></li>
    </ul>
    <button type="button" class="btn btn-info mx-1" (click)="setSortDirection('asc')">asc</button>
    <button type="button" class="btn btn-info" (click)="setSortDirection('desc')">desc</button>

    <button type="button" class="btn btn-danger" (click)="deleteBoard()">
      Delete board
      <i class="fa-solid fa-trash"></i>
    </button>

  </div>
  <div class="input-group mb-3" id="inputGroup">
    <input type="text" class="form-control" placeholder="Filtering by task name" aria-label="Username"
           (input)="filter()" [(ngModel)]="nameFilterString"/>
  </div>
  <div class="board__list col-md-4" #todo>
    <div>
      <a class="dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
        Color
      </a>
      <ul class="dropdown-menu">
        <li><a (click)="setColor('red',todo)" class="dropdown-item">red</a></li>
        <li><a (click)="setColor('green', todo)" class="dropdown-item">green</a></li>
        <li><a (click)="setColor('blue',todo)" class="dropdown-item">blue</a></li>
      </ul>
    </div>
    <h2 class="text-center"> To Do <i class="fa-solid fa-plus addTaskBtn" id="toggle" (click)="createTask()"></i></h2>
    <input type="text" id="add-todo" placeholder="Add a new TO-DO" [(ngModel)]="newTaskName">

    <ul class="h-100 bg-light  p-2 todo" appDndDropzone [list]="splitTasks['0']" (onDragEnd)="updateTask($event,'0')">
      <ng-container *ngIf="!!splitTasks['0'].length">
        <ng-container *ngFor="let todoTask of splitTasks['0'] | orderBy: selectedSortField : sortDirection : sortType">
          <div class="task-item">
            <app-task-item [task]="todoTask" [list]="splitTasks['0']" (updateList)="updateList($event, '0')"
                           (onDelete)="deleteTask($event)" (onEdit)="editTask($event)"
                           (onArchive)="archiveTask($event)"></app-task-item>
          </div>
        </ng-container>
      </ng-container>
    </ul>
  </div>
  <div class="board__list col-md-4" #inProgress>
    <div>
      <a class="dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
        Color
      </a>
      <ul class="dropdown-menu">
        <li><a (click)="setColor('red',inProgress)" class="dropdown-item">red</a></li>
        <li><a (click)="setColor('green',inProgress)" class="dropdown-item">green</a></li>
        <li><a (click)="setColor('blue',inProgress)" class="dropdown-item">blue</a></li>
      </ul>
    </div>
    <h2 class="text-center">In Progress</h2>
    <ul class="h-100 bg-light p-2 todo" appDndDropzone [list]="splitTasks['1']" (onDragEnd)="updateTask($event,'1')">
      <ng-container *ngIf="!!splitTasks['1'].length">
        <ng-container
          *ngFor="let inProgressTask of splitTasks['1'] | orderBy: selectedSortField : sortDirection : sortType">
          <div class="task-item">
            <app-task-item [task]="inProgressTask" [list]="splitTasks['1']" (updateList)="updateList($event, '1')"
                           (onDelete)="deleteTask($event)" (onEdit)="editTask($event)"
                           (onArchive)="archiveTask($event)"></app-task-item>
          </div>
        </ng-container>
      </ng-container>
    </ul>
  </div>
  <div class="board__list col-md-4" #done>
    <div>
      <a class="dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
        Color
      </a>
      <ul class="dropdown-menu">
        <li><a (click)="setColor('red',done)" class="dropdown-item">red</a></li>
        <li><a (click)="setColor('green',done)" class="dropdown-item">green</a></li>
        <li><a (click)="setColor('blue',done)" class="dropdown-item">blue</a></li>
      </ul>
    </div>
    <h2 class="text-center">Done</h2>
    <ul class="h-100 bg-light p-2 todo" appDndDropzone [list]="splitTasks['2']" (onDragEnd)="updateTask($event,'2')">
      <ng-container *ngIf="!!splitTasks['2'].length">
        <ng-container *ngFor="let doneTask of splitTasks['2'] | orderBy: selectedSortField : sortDirection : sortType">
          <div class="task-item">
            <app-task-item [task]="doneTask" [list]="splitTasks['2']" (updateList)="updateList($event, '2')"
                           (onDelete)="deleteTask($event)" (onEdit)="editTask($event)"
                           (onArchive)="archiveTask($event)"></app-task-item>
          </div>
        </ng-container>
      </ng-container>
    </ul>
  </div>
</div>
